﻿.service-page p,
.service-page li,
.service-page span {
    font-size: 16px;
}

/*Layout*/
.service-page section {
    margin: 60px auto;
}

.background-image {
    background-image: url("/Images/services/service-page-blue-abstract.webp");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.wide-container {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
    max-width: 1500px;
}

/**Buttons*/

a.btn-rounded-outline-blue {
    display: block;
    border: 2px solid #3A79B0;
    border-radius: 5px;
    color: #3A79B0;
    width: inherit;
    text-align: center;
    padding: 1rem;
    font-weight: bold;
}
a.btn-rounded-blue-full {
    display: block;
    border: 2px solid #3A79B0;
    background-color: #3A79B0;
    border-radius: 5px;
    color: white;
    width: inherit;
    text-align: center;
    padding: 1rem;
    font-weight: bold;
}

.btn-rounded-blue {
    padding: 1rem 3rem;
    display: block;
    border: 2px solid #3A79B0;
    background-color: #3A79B0;
    border-radius: 5px;
    color: white;
    width: fit-content;
    text-align: center;
    font-weight: bold;
}

/*Price Section*/

.prices-container {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
    max-width: 1500px;
}

.price-card {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
    background-color: #f9f9f9;
    border-radius: 12px;
    padding: 30px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.price-card a {
    margin-top: 2rem
}

.price-card-info {
    gap: 5px;
    display: flex;
    align-items: center;
}

.price-card-info > p{
    margin: 0;
}

/*Service Section*/

.service {
    padding: 2rem 0;
}

.service-cards > div {
    display: flex;
}

.service-card {
    background: white;
    margin: 10px;
    padding: 2rem 3rem;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    border-left: 8px solid #3A79B0;
    transition: 0.3s;
    min-height:  425px;
}

.service-card:hover {
        transform: translate(4px);
        box-shadow: 0 8px 20px rgba(0,0,0,0.12)
}

/*Carousel */
.carousel-wrapper {
    display: none;
    touch-action: pan-y;
}
.carousel-item-background {
    background-color: #f5f5f5;
    border: none;
}


.thumbnail.carousel-item:hover {
    box-shadow: none;
}
.carousel-nav-button {
    border-radius: 50%;
    border: solid 3px var(--main-blue);
    color: var(--main-blue);
    width: 50px;
    height: 50px;
    padding: 0;
}

.carousel-item {
    min-width: 400px !important;
}

.carousel-nav-button > i {
    font-size: 4rem;
}

.fa-angle-right {
    margin-left: 5px;
}
.fa-angle-left {
    margin-right: 5px;
}

/*Form Section*/
.form-container {
    display: flex;
    gap: 40px;
    align-items: stretch;
    justify-content: center;
}

.form-container > div {
    flex: 1;
    min-width: 0;
    margin: auto;
}

.form-image-container > img {
    max-width: 100%;
    border-radius: 5px;
    height: auto;
    display: block;
}

.contact-form-row {
    display: flex;
    gap: 20px;
    width: 100%;
}

.contact-form-row > div {
    display: flex;
    flex: 1;
}


/*Text*/
.sub-heading-text {
    margin: 3rem auto;
    width: 50%;
}

.optional {
    font-weight: normal;
}

@media (max-width: 1200px) {
    .service-card{
        min-height: 300px;
    }
}


@media (max-width: 992px) {
    .form-container {
        flex-direction: column;
        margin: auto;
    }

    .form-image-container {
        padding: 0;
    }

        .form-image-container > img {
            max-width: 80%;
            margin: auto;
        }

    .carousel-wrapper {
        display: block;
    }
 }

@media (max-width: 768px) {
    .background-image {
        background-position: left;
    }

    .nav-button {
        font-size: 18px !important;
    }

    .sub-heading-text {
        width: 90%;
    }

    .form-image-container > img {
        max-width: 100%;
        margin: auto;
    }
}

@media (max-width: 500px) {
    .carousel-item {
        max-width: 350px;
        min-width: 300px !important;
    }
}